/v0.1/merchants/{merchant_code}/roles/{role_id}Delete a custom role.
OAuth scopes: Requires one of: user.subaccounts, roles.write.
Required permissions:
roles_delete
Path parameters
Short unique identifier for the merchant.
Example:
"MK10CL2A"The ID of the role to retrieve.
Example:
"role_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
Responses
200
Returns an empty response if the role deletion succeeded.
Returns an empty response.
400application/problem+json
Invalid request.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
404application/problem+json
Merchant not found.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"